# Class ImportedRootElementAttributes

Used for the attributes of root element that is being imported.

#### Hierarchy

- XmlComponent
  - ImportedRootElementAttributes

- Defined in file/xml-components/imported-xml-component.ts:77

#####
Index

### Constructors

constructor

### Methods

addChildElement
prepForXml

## Constructors

### constructor

- new ImportedRootElementAttributes(_attr): ImportedRootElementAttributes

- #### Parameters

  - ##### _attr: any

  #### Returns ImportedRootElementAttributes

  Overrides XmlComponent.constructor

  - Defined in file/xml-components/imported-xml-component.ts:79

## Methods

### addChildElement

- addChildElement(child): XmlComponent

- #### Parameters

  - ##### child: string | XmlComponent

  #### Returns XmlComponent

  Inherited from XmlComponent.addChildElement

  - Defined in file/xml-components/xml-component.ts:45

### prepForXml

- prepForXml(_): IXmlableObject

- #### Parameters

  - ##### _: IContext

  #### Returns IXmlableObject

  Overrides XmlComponent.prepForXml

  - Defined in file/xml-components/imported-xml-component.ts:83

Generated using TypeDoc